CMSIS-DSP: arm_cfft_radix8_f32.c File Reference

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_cfft_radix8_f32.c File Reference

## Functions

void | arm_radix8_butterfly_f32 (float32_t *pSrc, uint16_t fftLen, const float32_t *pCoef, uint16_t twidCoefModifier)

## Function Documentation

void arm_radix8_butterfly_f32 | ( | float32_t * | pSrc,
|  | uint16_t | fftLen,
|  | const float32_t * | pCoef,
|  | uint16_t | twidCoefModifier
| ) |  |

brief Core function for the floating-point CFFT butterfly process. param[in,out] pSrc points to the in-place buffer of floating-point data type. param[in] fftLen length of the FFT. param[in] pCoef points to the twiddle coefficient buffer. param[in] twidCoefModifier twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table. return none